### Function

# Gtk CssSection new_with_bytes

since: 4.16

#### Declaration [src]

    GtkCssSection*
    gtk_css_section_new_with_bytes (
      GFile* file,
      GBytes* bytes,
      const GtkCssLocation* start,
      const GtkCssLocation* end
    )

#### Description [src]

Creates a new `GtkCssSection` referring to the section in the given `file` or the given `bytes` from the `start` location to the `end` location.

Available since: 4.16

#### Parameters

`file`

  Type: `GFile`

  The file this section refers to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`bytes`

  Type: `GBytes`

  The bytes this sections refers to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`start`

  Type: `GtkCssLocation`

  The start location.

  The data is owned by the caller of the function.

`end`

  Type: `GtkCssLocation`

  The end location.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkCssSection`

A new `GtkCssSection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.